---
# main tasks for special cubox-i config


- name: create mount points
  file:
    path: "{{ item.value.mount }}"
    state: directory
    mode: 0755
  with_dict: cubox-i.fstab.add

- name: create glusterfs mount hosts file entries
  lineinfile:
    state: present
    dest: /etc/fstab
    insertafter: EOF
    regexp: '^#?{{ item.value.host }}'
    line: '{{ item.value.host }} {{ item.value.mount }} {{ item.value.fstype }} {{ item.value.attr }} 0 0'
  with_dict: cubox-i.fstab.add


- name: mute syslog
